Debian Bug report logs - #630164
lintian: Some checks to update for multiarch: package-name-doesnt-match-sonames and postinst-has-useless-call-to-ldconfig

version graph

Package: lintian; Maintainer for lintian is Debian Lintian Maintainers <lintian-maint@debian.org>; Source for lintian is src:lintian.

Reported by: Raphaël Hertzog <hertzog@debian.org>

Date: Sat, 11 Jun 2011 17:27:01 UTC

Severity: normal

Found in version lintian/2.5.0

Fixed in version lintian/2.5.1

Done: Niels Thykier <niels@thykier.net>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Lintian Maintainers <lintian-maint@debian.org>:
Bug#630164; Package lintian. (Sat, 11 Jun 2011 17:27:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Raphaël Hertzog <hertzog@debian.org>:
New Bug report received and forwarded. Copy sent to Debian Lintian Maintainers <lintian-maint@debian.org>. (Sat, 11 Jun 2011 17:27:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Raphaël Hertzog <hertzog@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: lintian: Some checks to update for multiarch: package-name-doesnt-match-sonames and postinst-has-useless-call-to-ldconfig
Date: Sat, 11 Jun 2011 19:23:48 +0200
Package: lintian
Version: 2.5.0
Severity: normal

I have converted ftplib to multi-arch and noticed two small problems with
lintian:

1/

W: ftplib3: postinst-has-useless-call-to-ldconfig

This one (already pointed out to nthykier on IRC) is that
data/shared-libs/ldconfig-dirs needs to be updated to include
lib/i386-linux-gnu and usr/lib/i386-linux-gnu since those are
the official path for multiarch on i386.

But changing the file has a strange side-effect where it leads to a test
failure:
Running binaries-multiarch 1.0... building... testing... FAILED:
--- t/tests/binaries-multiarch/tags	2011-06-11 14:20:36.000000000 +0000
+++ debian/tests/binaries-multiarch/tags.binaries-multiarch	2011-06-11 14:31:13.390168492 +0000
@@ -1,3 +1,4 @@
 E: binaries-multiarch: missing-pre-dependency-on-multiarch-support
 E: binaries-multiarch: triplet-dir-and-architecture-mismatch usr/lib/x86_64-linux-gnu/ is for amd64
 I: binaries-multiarch: no-symbols-control-file usr/lib/x86_64-linux-gnu/libbasic.so.2
+I: binaries-multiarch: no-symbols-control-file usr/lib/x86_64-linux-gnu/libbasic.so.2
Running binaries-unsafe-open 1.0... building... testing... ok.

2/

I: ftplib3: unused-override package-name-doesnt-match-sonames libftp3

This one is the fault of lib_soname_path() in check/binaries.
It doesn't include the multiarch paths as a valid path where public
libraries can be installed.

Cheers,

-- System Information:
Debian Release: wheezy/sid
  APT prefers stable-updates
  APT policy: (500, 'stable-updates'), (500, 'proposed-updates'), (500, 'unstable'), (500, 'testing'), (500, 'stable'), (150, 'experimental')
Architecture: i386 (x86_64)

Kernel: Linux 2.6.38-2-amd64 (SMP w/2 CPU cores)
Locale: LANG=fr_FR.utf8, LC_CTYPE=fr_FR.utf8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages lintian depends on:
ii  binutils              2.21.52.20110606-2 The GNU assembler, linker and bina
ii  diffstat              1.54-1             produces graph of changes introduc
ii  dpkg-dev              1.16.1             Debian package development tools
ii  file                  5.04-5+b1          Determines file type using "magic"
ii  gettext               0.18.1.1-3         GNU Internationalization utilities
ii  intltool-debian       0.35.0+20060710.1  Help i18n of RFC822 compliant conf
ii  libapt-pkg-perl       0.1.24+b2          Perl interface to libapt-pkg
ii  libclass-accessor-per 0.34-1             Perl module that automatically gen
ii  libemail-valid-perl   0.184-1            Perl module for checking the valid
ii  libipc-run-perl       0.89-1             Perl module for running processes
ii  libparse-debianchange 1.2.0-1            parse Debian changelogs and output
ii  libtimedate-perl      1.2000-1           collection of modules to manipulat
ii  liburi-perl           1.58-1             module to manipulate and access UR
ii  locales               2.13-6             Embedded GNU C Library: National L
ii  locales-all [locales] 2.13-6             Embedded GNU C Library: Precompile
ii  man-db                2.6.0.2-1          on-line manual pager
ii  perl [libdigest-sha-p 5.12.3-7           Larry Wall's Practical Extraction 
ii  unzip                 6.0-4              De-archiver for .zip files

lintian recommends no packages.

Versions of packages lintian suggests:
pn  binutils-multiarch            <none>     (no description available)
ii  libhtml-parser-perl           3.68-1+b1  collection of modules that parse H
ii  libtext-template-perl         1.45-2     Text::Template perl module
ii  man-db                        2.6.0.2-1  on-line manual pager

-- no debconf information




Added tag(s) pending. Request was from Niels Thykier <niels@thykier.net> to control@bugs.debian.org. (Sun, 12 Jun 2011 10:09:52 GMT) Full text and rfc822 format available.

Reply sent to Niels Thykier <niels@thykier.net>:
You have taken responsibility. (Wed, 15 Jun 2011 22:22:17 GMT) Full text and rfc822 format available.

Notification sent to Raphaël Hertzog <hertzog@debian.org>:
Bug acknowledged by developer. (Wed, 15 Jun 2011 22:22:17 GMT) Full text and rfc822 format available.

Message #12 received at 630164-close@bugs.debian.org (full text, mbox):

From: Niels Thykier <niels@thykier.net>
To: 630164-close@bugs.debian.org
Subject: Bug#630164: fixed in lintian 2.5.1
Date: Wed, 15 Jun 2011 22:18:21 +0000
Source: lintian
Source-Version: 2.5.1

We believe that the bug you reported is fixed in the latest version of
lintian, which is due to be installed in the Debian FTP archive:

lintian_2.5.1.dsc
  to main/l/lintian/lintian_2.5.1.dsc
lintian_2.5.1.tar.gz
  to main/l/lintian/lintian_2.5.1.tar.gz
lintian_2.5.1_all.deb
  to main/l/lintian/lintian_2.5.1_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 630164@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Niels Thykier <niels@thykier.net> (supplier of updated lintian package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Wed, 15 Jun 2011 23:05:28 +0200
Source: lintian
Binary: lintian
Architecture: source all
Version: 2.5.1
Distribution: unstable
Urgency: low
Maintainer: Debian Lintian Maintainers <lintian-maint@debian.org>
Changed-By: Niels Thykier <niels@thykier.net>
Description: 
 lintian    - Debian package checker
Closes: 460350 496902 541978 588831 598412 605012 614876 616493 616553 625886 626476 626587 626597 626775 627082 627431 628673 628754 629056 629189 629193 629288 629453 629648 630164 630560
Changes: 
 lintian (2.5.1) unstable; urgency=low
 .
   * Summary of tag changes:
     + Added:
       - bad-perm-for-file-in-etc-sudoers.d
       - debian-rules-missing-recommended-target
       - dh_pycentral-is-obsolete
       - dh_python-is-obsolete
       - illegal-multi-arch-value
       - non-empty-dependency_libs-in-la-file
     + Removed:
       - uses-dh-python-with-no-pycompat
       - ldconfig-symlink-before-shlib-in-deb
 .
   * checks/binaries:
     + [NT] Applied patch from Paul Wise to detect binaries embeddeding
       glee, glew and libtheora.  (Closes: #629288)
     + [NT] Also consider multiarch dirs when looking for public shared
       libraries.  (Closes: #630164)
   * checks/debhelper{,.desc}:
     + [NT] Recognise that dh_python and dh_pycentral are now obsolete.
       (Closes: #496902, #541978)
   * checks/changes-file:
     + [NT] Always verify the checksums of changes-files.
   * checks/copyright-file:
     + [NT] Extended current dh_make template checks.  Thanks to
       Nelson A. de Oliveira for the patch.  (Closes: #598412)
   * checks/fields{,.desc}:
     + [NT] Allow "all" and "any" to appear together in the Architecture
       field of a .dsc file.  (Closes: #626775)
     + [NT] Added illegal-multi-arch-value.  (Closes: #616493)
   * checks/files:
     + [NT] Fixed two misnamed udeb tags, which lead to an internal
       error if triggered.  Thanks to Guillem Jover for the report.
       (Closes: #628754)
     + [NT] Added bad-perm-for-file-in-etc-sudoers.d tag.
       (Closes: #588831)
     + [CW] Do not issue missing-pre-dependency-on-multiarch-support for
       udebs.
     + [NT] Limit missing-pre-dependency-on-multiarch-support to real
       files only.  Previously it would also check symlinks.
       (Closes: #629648)
   * checks/java{,.desc}:
     + [NT] Sort the jar files by name, so they are checked in the same
       order.
     + [NT] Improved the description of classpath-contains-relative-path.
       (Closes: #629189)
     + [NT] Reduced false-positives of classpath-contains-relative-path.
       Relative classpaths are now okay if they point to jar files in
       /usr/share/java (but not subdirs thereof) and there is a strong
       libX-java dependency.  Alternatively if the classpath points to
       a file or a symlink in the package itself, then it is also okay.
     + [NT] Allow maven plugins to be without classpaths.
       (Closes: #629056)
   * checks/manpages.desc:
     + [ADB] Don't suggest using debmake's output as a reference.  The
       package is not even in oldstable any more.
   * checks/md5sums.desc:
     + [ADB] Drop references to obsolete debstd.  Thanks to Steve Langasek
       for the pointer.
   * checks/rules:
     + [NT] Removed code for handling packages with dh_python.
     + [NT] Fixed the code for determining Build-Depends for python
       packages.  Thanks to Jakub Wilk for the patch.
       (Closes: #614876, #616553)
     + [NT] Applied patch from Roger Leigh to implement the check for
       rules files missing the build-arch and build-indep targets.
       (Closes: #605012)
   * checks/shared-libs{,.desc}:
     + [NT] Added non-empty-dependency_libs-in-la-file.  (Closes: #628673)
     + [NT] Removed ldconfig-symlink-before-shlib-in-deb.
 .
   * collection/java:
     + [NT] Fixed a regex that would accept any file ending with "jar" to
       be a jar file rather than only accepting ".jar".  This fixes a
       number of false-positives java checks.
   * collection/unpacked:
     + [NT] Added support for unpacking source packages using libdpkg-perl,
       instead of dpkg-source, if the latter is not present.
       (Closes: #626476)
 .
   * data/binaries/multiarch-dirs:
     + [NT] New file - maps architectures to multiarch dirs.
   * data/fields/{perl-provides,virtual-packages}:
     + [NT] Refreshed.  (Closes: #627082, #627431)
   * data/output/ftp-master-*:
     + [NT] Refreshed.
   * data/shared-libs/ldconfig-dirs:
     + [NT] Updated ldconfig path for i386 multiarch paths.  Thanks to
       Raphaël Hertzog for the reminder.
   * data/spelling/corrections-multiword:
     + [CW] Remove the "requires to" correction; it has too many common
       false positives, especially involving relative clauses.
       (Closes: #625886)
 .
   * debian/control:
     + [NT] (Build-)Dependency changes.
       - xz-lzma is now preferred to lzma as Build-Dependency
       - Added depends on libdpkg-perl
       - Reduced dpkg-dev to a suggests, we can use libdpkg-perl as
         fallback.
       - Explicitly depends on bzip2 to always support bz2 source packages.
       - Added xz-utils as suggests - needed for .xz source packages.
 .
   * doc/lintian.xml:
     + [NT] Clarify that the package type is not listed in the output for
       binary packages.  (Closes: #629193)
 .
   * frontend/lintian:
     + [NT] Allow some options to be put into the lintianrc file.
       (Closes: #460350)
     + [NT] Added --no-cfg option that can be specified if no config
       file should be read.
     + [NT] Deprecated --checksums (also known as --md5sums and -m).
       Lintian will now always verify the checksums in changes files.
       The options will be accepted with a warning for now, but may
       be removed in a later release.  (Closes: #629453)
     + [NT] Fixed an issue where fail was called before it was
       available.  Thanks to Toby Corkindale for the report.
       (Closes: #630560, LP: #797553)
 .
   * lib/Lintian/Tag/Info.pm:
     + [NT] Output the name of the check and the type of the check
       along with the description of the tag.
   * lib/Lintian/Tags.pm:
     + [NT] Fixed a flaw in logic that gave incorrect results for
       architecture dependent overrides.  Thanks to Andreas Beckmann for
       the report and the patch.  (Closes: #626587)
 .
   * man/lintian.pod.in:
     + [NT] Mentioned that --checksums and aliases are deprecated.
 .
   * unpack/list-srcpkg:
     + [ADB] Don't rely on the order of fields in the Sources file.  The
       files produced by the Debian archive no longer follow the order
       which the code previously assumed, and we shouldn't assume that
       the order won't change again in the future.  (Closes: #626597)
Checksums-Sha1: 
 0b389840ac927017e03373724f1589dcf190025b 2412 lintian_2.5.1.dsc
 f0c1f42f79bbd71a753601495006e77e9df15add 934889 lintian_2.5.1.tar.gz
 b6aae95d8c5f5757f3509f2ce8bfba8fa3c1dbf8 591218 lintian_2.5.1_all.deb
Checksums-Sha256: 
 5a4a013bfd18620e66890d91b35f06a9abe2eedd48a0b04725b6f0bcf72ef4d1 2412 lintian_2.5.1.dsc
 b8812da6a1f31ed462b71d16ab39b491b75291dc7ac40bca629733dffa4726f6 934889 lintian_2.5.1.tar.gz
 b6920d86725fe75f292594356071298fd173b65240159b6a3625bf1fd80174c5 591218 lintian_2.5.1_all.deb
Files: 
 449b2e67a7d792bcbef9203d3dc0f6c7 2412 devel optional lintian_2.5.1.dsc
 8281c27f660386be3cb91dffd58173e6 934889 devel optional lintian_2.5.1.tar.gz
 c34b7b14852cc1abd53d77ee29eb0d26 591218 devel optional lintian_2.5.1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iQIcBAEBCAAGBQJN+StEAAoJEAVLu599gGRC2pwP/j1tf2rT1bW6+EWH+eRgYci0
1/GQ0yBATvyEMxuynn3J0ScKExTuHDoIKEki5ZABpq1DIm1pk4Xao4G2+Fx2W/BB
GHL+7xDEGDdBDBn9CHLJNpeJIaBvZbFqR3O5U55FhHNQTPQqOCO5dY8iNW5wFSnT
DUFezYVHcKWNOaQWy9h9Wk0DGVsn4Dm1aNQG1ZtOpA7r3rs0sd+nA61GoMB8PAVK
IorF1nH1SQQdnJh/23sdc8VaKljc544MootFi+57P0LlAEzQn6eKMLQKEjq1WOHw
5hlM4/D37+xCMHoqrF2yFKdTpOvA1sVxpSatTq1z2NKI3+1uMQnPMlyPshku7EfY
i5lYcJevJ0ux80mlqZ0kW3QZHMhLZutd+rHR7zfeAq/bx+Y4NNAS+Td0NjJsDPt5
GFsoWAGinWSWipsTcovhCQv4jdfk6SjGUxHjhLnXte8zIVesCxVXVoUs2q2iIZWo
qGWSnXjAmPKt1CgiDuXtQniF81gi8B5/4oaGECUrTlZ7VPV04pzXowtaudElC1/t
O6HPkrfrPSFI/jof96mgAJbMaGdw4KH9T55kfXP3f6clkEWfn3b32dFwOEsL4tQc
kC1ehaqjeUXntf5dhuMacBhRWctuvCy1WksXUxHPVfAe20vLel09G/LYa3ErC+Dq
NXbJ1S/NJzjaFWqTEDaR
=hoYp
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 25 Jul 2011 07:42:46 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 09:14:52 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.